Subject: [CCAMP] I-D Action: draft-ietf-ccamp-wson-signaling-07.txt

From: [email-masked]
Date: Wed, 05 Mar 2014 06:23:32 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Common Control and Measurement Plane Working Group of the IETF.

        Title           : Signaling Extensions for Wavelength Switched Optical Networks
        Authors         : Greg M. Bernstein
                          Sugang Xu
                          Young Lee
                          Giovanni Martinelli
                          Hiroaki Harai
	Filename        : draft-ietf-ccamp-wson-signaling-07.txt
	Pages           : 17
	Date            : 2014-03-05

Abstract:
   This memo provides extensions to Generalized Multi-Protocol Label
   Switching (GMPLS) signaling for control of wavelength switched
   optical networks (WSON).  Such extensions are applicable in WSONs
   under a number of conditions including: (a) when optional
   processing, such as regeneration, must be configured to occur at
   specific nodes along a path, (b) where equipment must be configured
   to accept an optical signal with specific attributes, or (c) where
   equipment must be configured to output an optical signal with
   specific attributes. In addition this memo provides mechanisms to
   support distributed wavelength assignment with choice in distributed
   wavelength assignment algorithms. These extensions build on previous
   work for the control of lambda and G.709 based networks. This
   document updates [RFC6205] as make it applicable to WSON-LSC capable
   equipment.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-signaling/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-ccamp-wson-signaling-07

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-wson-signaling-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Leeyoung <[email-masked]>
Date: Wed, 5 Mar 2014 17:11:58 +0000

Hi,

This update incorporated all comments received since WG LC. The following is the summary of all changes: 

Thanks,
Young and Giovanni

-------------------------summary --------------------------------------------

- Added in abstract: This draft updates [RFC 6205]  as it makes it applicable to WSON-LSC capable equipment.  

- Added in Section 4 : the LSPs signaled per the document must use: 
Switching Type = WSON-LSC [WSON-OSPF]
Encoding Type = Lambda [RFC3471] 
Label format = per [RFC6205] 

- In Section 4.2, WSON Processing Object -> WSON Processing HOP Attribute TLV as defined in [RSVP-RO] ; 

- <Wavelength Assignment Method Selection> deleted from WavelengthProcessing and moved as sub-TLV of the LSP Attribute Object as defined in [RFC5420]. 

- IANA Updated to reflect the above changes. 

- Section 5 deleted and one paragraph, moved to Section 4.3: "The usage of WSON Processing object for the bidirectional case is the same as per unidirectional. When an intermediate node uses information from this object to instruct a node about wavelength regeneration, the same information applies to both downstream and upstream directions." 

- Path Err generation clause removed in dealing with <RB Info> handling (Section 4.3)

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Wednesday, March 05, 2014 8:24 AM
To: [email-masked]
Cc: [email-masked]
Subject: [CCAMP] I-D Action: draft-ietf-ccamp-wson-signaling-07.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp